@charset "UTF-8";
@font-face {
  font-family: "Orbitron";
  src: url(../fonts/Orbitron-Regular.ttf);
}
/* ======================================================================
 p_contact
====================================================================== */
/**
 * error message
 */
.mw_wp_form .error {
  display: block;
  color: #b70000;
  font-size: 93%;
}
.mw_wp_form .error:not(input) {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  margin: 10px 0 0;
  padding: 0 5px;
  background: #ffdede;
  color: #ff4b4b;
  font-size: 16px;
  line-height: 22px;
}
.mw_wp_form .error:not(input):before {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  content: "※";
}

/**
 * error message of akismet
 */
.mw_wp_form .akismet_error {
  display: block;
}

/**
 * vertical style of radio and checkbox
 */
.mw_wp_form .vertical-item {
  display: block;
}

.mw_wp_form .vertical-item + .vertical-item {
  margin-top: 5px;
}

/**
 * horizontal style of radio and checkbox
 */
.mw_wp_form .horizontal-item + .horizontal-item {
  margin-left: 10px;
}

/**
 * radio and checkbox
 */
.mwform-checkbox-field label,
.mwform-radio-field label {
  margin-bottom: 0;
  font-weight: normal;
}

.mwform-checkbox-field input,
.mwform-radio-field input {
  margin-right: 5px;
}

/**
 * datepicker
 */
.mw_wp_form .ui-datepicker .ui-datepicker-title select.ui-datepicker-month,
.mw_wp_form .ui-datepicker .ui-datepicker-title select.ui-datepicker-year {
  margin: 0 5px;
  width: 40%;
}

/**
 * deprecated message
 */
.mw-wp-form-deprecated-message {
  margin: 0 0 5px;
  padding: 5px;
  border: #b40404 solid 2px;
  border-radius: 5px;
  background: #f5a9a9;
  font-size: 10px;
  line-height: 1.6;
}

/**
 * file
 */
.mw_wp_form input[type=file] {
  display: inline-block;
}

/**
 * file delete button
 */
.mwform-file-delete {
  visibility: hidden;
  cursor: pointer;
}

/**
 * tel and zip
 */
.mwform-tel-field input[type=text],
.mwform-zip-field input[type=text] {
  display: inline-block;
  width: auto;
}

.sec._1 {
  margin: 20px 0 0;
  padding: 40px 0 70px;
}
@media screen and (min-width: 768px) {
  .sec._1 {
    margin: 70px 0 0;
    padding: 60px 0;
    background: #fafafa;
  }
}
.sec .content_size {
  padding: 0 15px;
}
@media screen and (min-width: 768px) {
  .sec .content_size {
    margin: 0 auto;
    padding: 0;
    width: 980px;
  }
}
@media screen and (min-width: 768px) {
  .sec .box {
    padding: 40px;
    background: #fff;
  }
}
.sec .pic {
  display: block;
  margin-bottom: 70px;
}
@media screen and (max-width: 767px) {
  .sec .pic {
    margin-bottom: 60px;
  }
}
@media screen and (max-width: 767px) {
  .sec .img {
    width: 100%;
    height: auto;
  }
}
.sec .c_title_5 {
  margin-bottom: 50px;
}
@media screen and (max-width: 767px) {
  .sec .c_title_5 {
    margin-bottom: 40px;
  }
}
.sec .c_title_5 .title {
  letter-spacing: 1.56px;
  font-size: 26px;
  line-height: 44px;
}
@media screen and (max-width: 767px) {
  .sec .c_title_5 .title {
    letter-spacing: 1.32px;
    font-size: 22px;
    line-height: 37px;
  }
}
.sec .read {
  margin-bottom: 40px;
}
@media screen and (min-width: 768px) {
  .sec .read {
    margin-bottom: 60px;
    padding: 0 30px;
  }
}
@media screen and (min-width: 768px) {
  .sec .form_wrap {
    padding: 0 30px;
  }
}
.sec .form_wrap .row {
  padding: 15px 0;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}
.sec .form_wrap .row .heading {
  margin: 0 0 15px;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row .heading {
    position: relative;
    margin: 0 10px 0 0;
  }
}
.sec .form_wrap .row .heading_text {
  position: relative;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row .heading_text {
    width: 257px;
  }
}
.sec .form_wrap .row .heading_text:after {
  position: absolute;
  right: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 52px;
  height: 22px;
  border-radius: 2px;
  font-weight: bold;
  font-size: 14px;
  line-height: 20px;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row .heading_text:not(._nopadding) {
    padding: 10px 0 0;
  }
}
.sec .form_wrap .row .heading_text:not(._nopadding):after {
  top: 4px;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row .heading_text:not(._nopadding):after {
    top: 14px;
  }
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .row .heading_text._nopadding {
    padding: 0;
  }
}
.sec .form_wrap .row .heading_text._nopadding:after {
  top: 4px;
}
.sec .form_wrap .row .heading_text._require:after {
  background: #d8523a;
  color: #fff;
  content: "必須";
}
.sec .form_wrap .row .data.txt_1 {
  font-size: 16px;
  line-height: 30px;
}
.sec .form_wrap .row .data .input_1,
.sec .form_wrap .row .data .input_2,
.sec .form_wrap .row .data .textarea_1 {
  padding: 10px 20px;
  height: 50px;
  border: 1px solid #343434;
  border-radius: 5px;
  background: #fafafa;
}
.sec .form_wrap .row .data .input_1::-webkit-input-placeholder, .sec .form_wrap .row .data .input_2::-webkit-input-placeholder, .sec .form_wrap .row .data .textarea_1::-webkit-input-placeholder {
  color: #ddd;
}
.sec .form_wrap .row .data .input_1::-moz-placeholder, .sec .form_wrap .row .data .input_2::-moz-placeholder, .sec .form_wrap .row .data .textarea_1::-moz-placeholder {
  color: #ddd;
}
.sec .form_wrap .row .data .input_1:-ms-input-placeholder, .sec .form_wrap .row .data .input_2:-ms-input-placeholder, .sec .form_wrap .row .data .textarea_1:-ms-input-placeholder {
  color: #ddd;
}
.sec .form_wrap .row .data .input_1::-ms-input-placeholder, .sec .form_wrap .row .data .input_2::-ms-input-placeholder, .sec .form_wrap .row .data .textarea_1::-ms-input-placeholder {
  color: #ddd;
}
.sec .form_wrap .row .data .input_1::placeholder,
.sec .form_wrap .row .data .input_2::placeholder,
.sec .form_wrap .row .data .textarea_1::placeholder {
  color: #ddd;
}
.sec .form_wrap .row .data .input_1 {
  width: 308px;
}
@media screen and (max-width: 767px) {
  .sec .form_wrap .row .data .input_1 {
    width: 100%;
  }
}
.sec .form_wrap .row .data .input_2 {
  width: 575px;
}
@media screen and (max-width: 767px) {
  .sec .form_wrap .row .data .input_2 {
    width: 100%;
  }
}
.sec .form_wrap .row .data .textarea_1 {
  width: 575px;
  height: 110px;
}
@media screen and (max-width: 767px) {
  .sec .form_wrap .row .data .textarea_1 {
    width: 100%;
  }
}
.sec .form_wrap .privacy_wrap {
  margin: 30px 0;
}
@media screen and (max-width: 767px) {
  .sec .form_wrap .privacy_wrap {
    margin: 25px 0 30px;
  }
}
.sec .form_wrap .privacy_wrap .privacy_check .check_2 {
  margin: 0 10px 0 0;
  width: 20px;
  height: 20px;
  border: solid 1px #707070;
  border-radius: 4px;
}
@media screen and (min-width: 768px) {
  .sec .form_wrap .privacy_wrap .privacy_check .check_2 {
    -webkit-transform: translate(0, -2px);
    transform: translate(0, -2px);
  }
}
@media screen and (min-width: 1025px) {
  .sec .form_wrap .privacy_wrap .privacy_check .check_2:hover {
    cursor: pointer;
  }
}
.sec .form_wrap .privacy_wrap .privacy_check .link {
  color: #023d88;
  text-decoration: underline;
}
.sec .form_wrap .btn_wrap .submit_btn {
  margin: 0 auto;
}
@media screen and (min-width: 1025px) {
  .sec .form_wrap .btn_wrap .submit_btn {
    cursor: pointer;
  }
}
.sec .form_wrap .btn_wrap .submit_btn.c_button_1 {
  padding: 24px 80.1px;
  border: none;
  background: #023d88;
  color: #fff;
}
.sec .form_wrap .btn_wrap .submit_btn.c_button_1:before {
  background: #000;
}
.sec .form_wrap .btn_wrap .submit_btn.c_button_1:after {
  content: url(../img/common/icon_arw-1.svg);
}
.sec .form_wrap .btn_wrap .submit_btn.c_button_1 input {
  z-index: 1;
}
.sec .form_wrap .btn_wrap .back_btn {
  display: none;
}
.sec .data_inner {
  position: relative;
}
.sec .data_inner._select::after {
  position: absolute;
  top: 50%;
  right: 20px;
  content: url(../img/p_contact/icon_arw.svg);
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}
.sec .data_inner .input_1 {
  padding-right: 30px;
}
.sec .c_button_1 {
  position: relative;
  z-index: 0;
  padding: 0;
  width: 304px;
  height: 60px;
}
.sec .c_button_1:after {
  margin: -6px -190px 0 36px;
}
.sec .c_button_1 input {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  text-align: center;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
